# sysfs related helpers

import glob


def check_content_in_glob(content, pattern):
    matches = glob.glob(pattern)
    for f in matches:
        if content == open(f).read():
            return
    else:
        assert False, "{} not in any of {}".format(content, matches)
